Retrieves an object of the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

location
NameDescriptionTypeAdditional information
id

globally unique identifier

Required

_parent_id

Reference to a parent location

globally unique identifier
_parent_reference_back_office

Embedded entity "location" for parent location using ERP PK when adding/updating location

string
_parent_location

Embedded entity "location" for parent location when adding/updating location

location
project_status_id

Foreign key to project_status_id

globally unique identifier
company_id

The company owner of this location

globally unique identifier

Optionally required : company_id, company_code or company must be provided

company_code

Embedded entity "company" using ERP PK when adding/updating location

string

Optionally required : company_id, company_code or company must be provided

company

Embedded entity "company" when adding/updating location

company

Optionally required : company_id, company_code or company must be provided

name

Name of the location

string

Required

Max length: 50

extra_information

extra_information

string

Max length: 255

reference_back_office

The Id/Ref of the back office for this location. Used by Embedded entity

string

Max length: 255

street

Street

string

Max length: 100

street_number

Street number.

string

Max length: 50

zip

Zip code

string

Max length: 50

city

City

string

Max length: 50

phone

Phone number

string

Max length: 50

email

Email address

string

Max length: 250

db_country_id

Foreign key to table Country

globally unique identifier
db_country_code

CountryCode entity using international code when adding/updating company

string
street2

Additional information on the address not part of the postal address

string

Max length: 50

latitude_decimal

Decimal coordonate for the latitude. (-1;-1) means invalid and (0;0) means not already geo-encoded

decimal number
longitude_decimal

Decimal coordonate for the longitude. (-1;-1) means invalid and (0;0) means not already geo-encoded

decimal number
contact_id

Foreign key of contact for this location

globally unique identifier
contact_reference_back_office

Foreign key of contact for this location. If you don't know the GUID, use contact_reference_back_office

string
contact

Embedded entity "contact" when adding/updating location

contact
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date
id2

Internal ID (numeric). Will be used if reference_back_office is empty

integer

Response Formats

application/json, text/json

Sample:
{
  "id": "4749414a-9265-489e-b97a-cc2ebc76d055",
  "_parent_id": "b4ed90d7-3822-4874-9cc3-5806a2766e2a",
  "_parent_reference_back_office": "sample string 3",
  "project_status_id": "95ec1c8d-0e63-4c31-97d8-f0c4bfca58ce",
  "company_id": "0f31b6b4-4c10-41f3-b554-1a93ec450966",
  "company_code": "sample string 6",
  "name": "sample string 7",
  "extra_information": "sample string 8",
  "reference_back_office": "sample string 9",
  "street": "sample string 10",
  "street_number": "sample string 11",
  "zip": "sample string 12",
  "city": "sample string 13",
  "phone": "sample string 14",
  "email": "sample string 15",
  "db_country_id": "3bb75b98-2a57-46a5-bfa2-221a970236ec",
  "db_country_code": "sample string 17",
  "street2": "sample string 18",
  "latitude_decimal": 1.0,
  "longitude_decimal": 1.0,
  "contact_id": "251f331b-9eb2-40de-acfa-d60ac7dd981b",
  "contact_reference_back_office": "sample string 20",
  "contact": {
    "id": "ec497b8a-363d-4ece-ad61-c601906c25e0",
    "firstname": "sample string 2",
    "lastname": "sample string 3",
    "company_id": "31264ef3-c351-4149-a697-a0d56c92d3a5",
    "company_code": "sample string 5",
    "company": {
      "id": "57fdb06f-ee50-432d-88ef-38d182d2f97e",
      "is_client": true,
      "is_supplier": true,
      "archived": true,
      "name": "sample string 5",
      "notes": "sample string 6",
      "create_date": "2026-11-18T10:20:15.0384389+00:00",
      "sales_territory_id": "01a17a34-afe0-48a2-8f52-b85047144955",
      "sales_territory_code": "sample string 9",
      "sales_territory": {
        "id": "232fc810-c29c-4c03-8bf7-f61ba3acdaa7",
        "code": "sample string 2",
        "description": "sample string 3",
        "sales_organization_id": "3407d4c3-d7c2-41d7-a013-0acf6c01a1fe",
        "sales_organization_code": "sample string 5",
        "sales_organization": {
          "id": "4b055f43-24d9-4422-b5d7-e4bfb9632e7f",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "6224c0a0-71fb-4da8-aaa9-23c9a5dc55ca",
          "db_currency_id": "d6ed5f1e-0419-4433-b440-a689752857f4",
          "db_language_id": "f99ee2ad-ca37-4abc-860c-712ef365639b",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-11-18T10:20:15.0384389+00:00"
        },
        "modified_dateutc": "2026-11-18T10:20:15.0384389+00:00"
      },
      "marketing_segment_id": "af268165-cbf3-4846-bece-15c8cb288e2f",
      "marketing_segment_code": "sample string 11",
      "sales_organization_id": "49476ce0-f74d-43dc-b47e-c14bca974704",
      "sales_organization_code": "sample string 13",
      "company_sales_status_code": "sample string 14",
      "vat_reg_code": "sample string 15",
      "is_working_address": true,
      "parent_id": "122d19e9-c1c9-43fb-846a-bf23d688cf17",
      "parent_company_code": "sample string 18",
      "phone": "sample string 19",
      "fax": "sample string 20",
      "url": "sample string 21",
      "email": "sample string 22",
      "street": "sample string 23",
      "street_number": "sample string 24",
      "city": "sample string 25",
      "zip": "sample string 26",
      "db_country_id": "9fec1997-27d3-49c0-9487-08f77ff83a55",
      "db_country_code": "sample string 28",
      "feelist_id": "051136c7-5dc1-4c32-8592-be4a4f62ca28",
      "feelist_reference_back_office": "sample string 30",
      "feelist": {
        "id": "80f4e5f9-4918-4810-84ac-d22d90e1754c",
        "name": "sample string 2",
        "description": "sample string 3",
        "is_default": true,
        "default_price": 1.0,
        "sales_organization_id": "d3ca90b8-cf10-4d0f-a146-6c6b4426c7e3",
        "sales_organization_code": "sample string 6",
        "reference_back_office": "sample string 7",
        "modified_dateutc": "2026-11-18T10:20:15.0384389+00:00",
        "db_currency_id": "2ffb9b41-0547-4497-9f4c-6ade0bc3b13e",
        "db_currency_code": "sample string 10"
      },
      "company_type_id": "e691433c-1ad8-4f3d-a142-a3b39c206567",
      "company_type_name": "sample string 32",
      "company_type": {
        "id": "f2d752a4-9f77-4259-8d57-a454fc8d64fb",
        "name": "sample string 2",
        "description": "sample string 3",
        "sales_organization_id": "2d5132a6-211f-4449-9f77-69e3051e54ca",
        "sales_organization_code": "sample string 5"
      },
      "db_language_id": "56fd4576-57f4-4f1a-9b31-6d91f1015558",
      "db_language_code": "sample string 34",
      "code": "sample string 35",
      "article_price_label_id": "c236b8a8-ebd9-4e85-9909-b58fc351cac4",
      "article_price_label_code": "sample string 37",
      "db_payment_method_id": "23d974ed-b8db-4b50-9d85-a14f6c64b841",
      "db_payment_method_reference_back_office": "sample string 39",
      "db_payment_methods": {
        "id": "ee0bdb4d-379a-4b34-bd8b-2b019e9ad369",
        "name": "sample string 2",
        "description": "sample string 3",
        "reference_back_office": "sample string 4",
        "activated": true,
        "modified_dateutc": "2026-11-18T10:20:15.0384389+00:00"
      },
      "company_sector_id": "3e40af65-8bcb-499e-8961-4dbd07de481e",
      "company_sector_code": "sample string 41",
      "is_lead": true,
      "is_subcontractor": true,
      "latitude": 1.0,
      "longitude": 1.0,
      "street2": "sample string 44",
      "bic_code": "sample string 45",
      "specialities": "sample string 46",
      "register_number": "sample string 47",
      "register_city": "sample string 48",
      "bankaccount": "sample string 49",
      "mobile": "sample string 50",
      "service_manager_user_id": "843154cb-eeb5-41db-83f9-d27f1b1370fd",
      "service_manager_user_code": "sample string 52",
      "finance_manager_user_id": "1e444575-1490-4dc8-bee9-61545fb3d92d",
      "finance_manager_user_code": "sample string 54",
      "account_manager_user_id": "f1fbde5d-d28d-40b6-b6f0-5d077aadba80",
      "account_manager_user_code": "sample string 56",
      "company_status_id": "52462196-2709-4d0b-add1-b4a103381d9a",
      "invoice_email_to": "sample string 58",
      "modified_dateutc": "2026-11-18T10:20:15.0384389+00:00",
      "id2": 60
    },
    "db_language_id": "a2969d58-cf4a-4b45-9124-4b7c9c8547a6",
    "db_language_code": "sample string 7",
    "db_title_id": "11402f55-4eaa-4c2a-ae90-72f47904612f",
    "archived": true,
    "functions": "sample string 10",
    "e_login": "sample string 11",
    "e_password": "sample string 12",
    "notes": "sample string 13",
    "birthdate": "2026-11-18T10:20:15.0384389+00:00",
    "create_date": "2026-11-18T10:20:15.0384389+00:00",
    "phone": "sample string 16",
    "mobile": "sample string 17",
    "email": "sample string 18",
    "skype": "sample string 19",
    "private_phone": "sample string 20",
    "private_mobile": "sample string 21",
    "private_email": "sample string 22",
    "reference_back_office": "sample string 23",
    "modified_dateutc": "2026-11-18T10:20:15.0384389+00:00"
  },
  "modified_dateutc": "2026-11-18T10:20:15.0384389+00:00",
  "id2": 22
}